Subject: [Sipping] [Technical Errata Reported] RFC3665 (2740)

From: RFC Errata System <[email-masked]>
Date: Wed, 2 Mar 2011 07:04:34 -0800 (PST)

The following errata report has been submitted for RFC3665,
"Session Initiation Protocol (SIP) Basic Call Flow Examples".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=3665&eid=2740

--------------------------------------
Type: Technical
Reported by: Niels Widger <[email-masked]>

Section: 3.8

Original Text
-------------
   F11 CANCEL Proxy 1 -> Proxy 2

   CANCEL sip:[email-masked] SIP/2.0
   Via: SIP/2.0/UDP ss1.atlanta.example.com:5060;branch=z9hG4bK2d4790.1
   Max-Forwards: 70
   From: Alice <sip:[email-masked]>;tag=9fxced76sl
   To: Bob <sip:[email-masked]>
   Call-ID: [email-masked]
   CSeq: 1 CANCEL
   Content-Length: 0

Corrected Text
--------------
   F11 CANCEL Proxy 1 -> Proxy 2

   CANCEL sip:[email-masked] SIP/2.0
   Via: SIP/2.0/UDP ss1.atlanta.example.com:5060;branch=z9hG4bK2d4790.1
   Max-Forwards: 70
   From: Alice <sip:[email-masked]>;tag=9fxced76sl
   To: Bob <sip:[email-masked]>
   Call-ID: [email-masked]
   CSeq: 1 CANCEL
   Content-Length: 0

Notes
-----
The Request-URI of message F11 is incorrect according to RFC 3261 Section 9.1: "The following procedures are used to construct a CANCEL request.  The Request-URI, Call-ID, To, the numeric part of CSeq, and From header fields in the CANCEL request MUST be identical to those in the request being cancelled, including tags".

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC3665 (draft-ietf-sipping-basic-call-flows-02)
--------------------------------------
Title               : Session Initiation Protocol (SIP) Basic Call Flow Examples
Publication Date    : December 2003
Author(s)           : A. Johnston, S. Donovan, R. Sparks, C. Cunningham, K. Summers
Category            : BEST CURRENT PRACTICE
Source              : Session Initiation Proposal Investigation
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG